import { defineStore } from 'pinia'
import { ref } from 'vue'

export interface SwapOrder {
  tokenIn: string
  tokenOut: string
  route: {
    exchange: string
    fee: string
  }
  amount: string
  minFillAmount: string
  amountIsInput: boolean
  outputDirectlyToOwner: boolean
  inverted: boolean
  conditionalOrder: string
  tranches: any[]
}

export const useOrderStore = defineStore('OrderStore', () => {
  const orders = ref<SwapOrder[]>([])

  return { orders }
})
